%feature("docstring") OT::HessianImplementation
"Numerical math hessian implementation.

See also
--------
Function, GradientImplementation

Notes
-----
This object is the result of the method *getHessian* of a 
:class:`~openturns.Function`."

// ---------------------------------------------------------------------

%feature("docstring") OT::HessianImplementation::getCallsNumber
"Accessor to the number of times the hessian has been called.

Returns
-------
calls_number : int
    Integer that counts the number of times the hessian has been called
    since its creation."

// ---------------------------------------------------------------------

%feature("docstring") OT::HessianImplementation::getInputDimension
"Accessor to the number of the inputs.

Returns
-------
number_inputs : int
    Number of inputs."

// ---------------------------------------------------------------------

%feature("docstring") OT::HessianImplementation::getOutputDimension
"Accessor to the number of the outputs.

Returns
-------
number_outputs : int
    Number of outputs."

// ---------------------------------------------------------------------

%feature("docstring") OT::HessianImplementation::getMarginal
"Accessor to the hessian implementation of a specific output.

Parameters
----------
i : integer
    Integer corresponding to the output (Care: it starts at 0).
indices : sequence of integer
    The set of indices for which the outputs are extracted.

Returns
-------
hessianImplementation : :class:`~openturns.HessianImplementation`
    A hessian implementation restricted to its compenents functions which
    indices are *i* or *indices*."

// ---------------------------------------------------------------------

%feature("docstring") OT::HessianImplementation::hessian
"Return the Jacobian transposed matrix of the implementation at a point.

Parameters
----------
point : sequence of float
    Point where the Jacobian transposed matrix is calculated.

Returns
-------
hessian : :class:`~openturns.Matrix`
    The Jacobian transposed matrix of the function at *point*."

// ---------------------------------------------------------------------

%feature("docstring") OT::HessianImplementation::isActualImplementation
"Accessor to the validity flag.

Returns
-------
is_impl : bool
    Whether the implementation is valid."

// ---------------------------------------------------------------------

%feature("docstring") OT::HessianImplementation::getParameter
"Accessor to the parameter values.

Returns
-------
parameter : :class:`~openturns.Point`
    The parameter values."

// ---------------------------------------------------------------------

%feature("docstring") OT::HessianImplementation::setParameter
"Accessor to the parameter values.

Parameters
----------
parameter : sequence of float
    The parameter values."

