%feature("docstring") OT::IndependentCopula
"Independent copula.

Available constructor:
    IndependentCopula(*n=1*)

Parameters
----------
n : int, :math:`n \\\\geq 1`
    Dimension of the copula.

Notes
-----
The Independent copula is defined by :

.. math::

    C(u_1, \\\\cdots, u_n) = \\\\prod_{i=1}^n u_i

for :math:`u_i \\\\in [0, 1]`

See also
--------
Copula

Examples
--------
Create a distribution:

>>> import openturns as ot
>>> copula = ot.IndependentCopula(3)

Draw a sample:

>>> sample = copula.getSample(5)"
