%feature("docstring") OT::TensorApproximationResult
"Functional chaos result.

Notes
-----
Structure created by the method run() of
:class:`~openturns.TensorApproximationAlgorithm`, and obtained thanks to the method
getResult()."

// ---------------------------------------------------------------------

%feature("docstring") OT::TensorApproximationResult::getCoefficients
"Get the coefficients.

Returns
-------
coefficients : 2-d sequence of float
    Coefficients :math:`(\\\\vect{\\\\alpha_k})_{k \\\\in K}`."

// ---------------------------------------------------------------------

%feature("docstring") OT::TensorApproximationResult::getComposedMetaModel
"Get the composed metamodel.

Returns
-------
composedMetamodel : :class:`~openturns.Function`
    :math:`\\\\tilde{f} =  \\\\sum_{k \\\\in K} \\\\vect{\\\\alpha}_k \\\\Psi_k`"

// ---------------------------------------------------------------------

%feature("docstring") OT::TensorApproximationResult::getMetaModel
"Get the metamodel.

Returns
-------
metamodel : :class:`~openturns.Function`
    :math:`\\\\tilde{g} = \\\\sum_{k \\\\in K} \\\\vect{\\\\alpha}_k \\\\Psi_k \\\\circ T`."

// ---------------------------------------------------------------------

%feature("docstring") OT::TensorApproximationResult::getComposedModel
"Get the composed model.

Returns
-------
composedModel : :class:`~openturns.Function`
    :math:`f = g\\\\circ T^{-1}`."

// ---------------------------------------------------------------------

%feature("docstring") OT::TensorApproximationResult::getDistribution
"Get the input distribution.

Returns
-------
distribution : :class:`~openturns.Distribution`
    Distribution of the  input random vector :math:`\\\\vect{X}`."

// ---------------------------------------------------------------------

%feature("docstring") OT::TensorApproximationResult::getIndices
"Get the indices of the final basis.

Returns
-------
indices : :class:`~openturns.Indices`
    Indices of the elements of the multivariate basis used in the decomposition."

// ---------------------------------------------------------------------

%feature("docstring") OT::TensorApproximationResult::getInverseTransformation
"Get the inverse isoprobabilistic transformation.

Returns
-------
invTransf : :class:`~openturns.Function`
     :math:`T^{-1}` such that :math:`T(\\\\vect{X}) = \\\\vect{Z}`."

// ---------------------------------------------------------------------

%feature("docstring") OT::TensorApproximationResult::getOrthogonalBasis
"Get the orthogonal basis.

Returns
-------
basis : :class:`~openturns.OrthogonalBasis`
    Factory of the orthogonal basis."

// ---------------------------------------------------------------------

%feature("docstring") OT::TensorApproximationResult::getReducedBasis
"Get the reduced basis.

Returns
-------
basis : list of :class:`~openturns.Function`
    Collection of the *K* functions  :math:`(\\\\Psi_k)_{k\\\\in K}`  used in the 
    decomposition."

// ---------------------------------------------------------------------

%feature("docstring") OT::TensorApproximationResult::getTransformation
"Get the isoprobabilistic transformation.

Returns
-------
transformation : :class:`~openturns.Function`
    Transformation :math:`T` such that :math:`T(\\\\vect{X}) = \\\\vect{Z}`."

// ---------------------------------------------------------------------

%feature("docstring") OT::TensorApproximationResult::getTensor
"Accessor to the tensor.

Parameters
----------
marginalIndex : int
    Index of the marginal

Returns
-------
tensor : :class:`~openturns.CanonicalTensorEvaluation`
    Tensor data."
