%feature("docstring") OT::WeibullFactory
"Weibull factory.

Available constructor:
    WeibullFactory()

The parameters are estimated by method of moments:

.. math::
    :nowrap:

    \\\\begin{eqnarray*}
      \\\\displaystyle\\\\Hat{\\\\gamma}_n = (1-\\\\mathrm{sign}(x_{(1,n)})/(2+n))x_{(1,n)}\\\\\\\\
      (\\\\Hat{\\\\alpha}_n,\\\\Hat{\\\\beta}_n)\\\\mbox{ solution of }\\\\left\\\\{
      \\\\begin{array}{l}
        \\\\bar{x}_n=\\\\Hat{\\\\gamma}_n+\\\\Hat{\\\\alpha}_n+\\\\Gamma(1+1/\\\\Hat{\\\\beta}_n)\\\\\\\\
        (\\\\sigma_n^X)^2=\\\\Hat{\\\\alpha}_n\\\\left(\\\\Gamma(1+2/\\\\Hat{\\\\beta}_n)-\\\\Gamma(1+1/\\\\Hat{\\\\beta}_n)^2\\\\right)
      \\\\end{array}\\\\right.
    \\\\end{eqnarray*}

See also
--------
DistributionFactory, Weibull"
